﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkMathsWrap
{
	struct Constants
	{
		// Namespace
		inline static const nkMemory::String NAMESPACE = "nkMaths" ;

		// UserTypes
		// Algebra
		inline static const nkMemory::String QUATERNION = NAMESPACE + "::Quaternion" ;
		inline static const nkMemory::String VECTOR = NAMESPACE + "::Vector" ;
		inline static const nkMemory::String VECTOR_BUFFER_CAST = NAMESPACE + "::BufferCastVector" ;
		inline static const nkMemory::String VECTOR_BUFFER_VIEW = NAMESPACE + "::BufferViewVector" ;
	} ;
}