﻿//////////////////////////////////////////////
// LuaEngine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkAstraeus::lua
{
	class DLL_ASTRAEUS_EXPORT LuaEngine final
	{
		private :

			// Constructeur, destructeur
			LuaEngine () = delete ;
			~LuaEngine () = delete ;

		public :

			// Init
			static bool initialize (nkScripts::Environment* env) ;
	} ;
}