﻿//////////////////////////////////////////////
// Rectangle.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

#include "Point.h"

/// Class ------------------------------------

namespace nkMaths
{	
	class DLL_MATHS_EXPORT Rectangle final
	{
		public :

			// Attributes
			float _x ;
			float _y ;
			float _width ;
			float _height ;

		public :

			// Functions
			// Constructorn, destructor
			Rectangle () ;
			Rectangle (float x, float y, float width, float height) ;
			~Rectangle () ;

			// Utilities
			bool pointInside (Point point) const ;

			// Operators
			Rectangle operator+ (const Rectangle& other) const ;
	} ;
}